package com.tutego.insel.generics;

import java.awt.Point;

public class GenericBoxExample1
{
  @SuppressWarnings("unused")
  public static void main( String[] args )
  {
    Box<String>  stringBox = new Box<String>();
    Box<Integer> intBox    = new Box<Integer>();
    Box<Point>   pointBox  = new Box<Point>();

    double x = pointBox.getValue().getX();
  }
}
